package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.TestDeploy;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.TestDeployMapper")
public interface TestDeployMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(TestDeploy record);

    TestDeploy selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TestDeploy record);

    List<TestDeploy> queryAllTestDeploy(TestDeploy record);

    List<TestDeploy> queryTestDeployByPage(Map<String, Object> parameter);

    int delete(String id);

    TestDeploy queryTestDeploy(TestDeploy record);

    List<TestDeploy> query(TestDeploy record);
}

